@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Редактирование адресов
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ url('/postman/address') }}">Адреса</a></li>
                <li class="breadcrumb-item active" aria-current="page">Редактирование</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('addressUpdate', ['address_id' => $address->id]) }}" method="post">
                        @csrf
                        <div class="form-group row">
                            <label for="firstname" class="col-sm-2 col-form-label">Имя</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="firstname" name="firstname" placeholder="Имя" value="{{ $address->firstname ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="secondname" class="col-sm-2 col-form-label">Фамилия</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="secondname" name="secondname" placeholder="Фамили" value="{{ $address->secondname ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="fathername" class="col-sm-2 col-form-label">Отчество</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="fathername" name="fathername" placeholder="Отчество" value="{{ $address->fathername ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="phone" class="col-sm-2 col-form-label">Телефон</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="phone" name="phone" placeholder="" value="{{ $address->phone ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="phone" class="col-sm-2 col-form-label">Телефон</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="phone" name="phone" placeholder="" value="{{ $address->phone ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="country" class="col-sm-2 col-form-label">Страна</label>
                            <div class="col-sm-10">
                                <select class="form-control" id="country" name="country">
                                    @foreach(\App\Models\Address::$country as $key => $value)
                                        <option value="{{ $key }}" {{ ($key == $address->country) ? 'SELECTED' : '' }}>{{ $value }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="colFormLabel" class="col-sm-2 col-form-label">Область</label>
                            <div class="col-sm-10">
                                <select class="form-control" id="" name="oblast">
                                    @foreach(\App\Models\Address::$oblast as $key => $value)
                                        <option value="{{ $key }}" {{ ($key == $address->oblast) ? 'SELECTED' : '' }}>{{ $value }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="city" class="col-sm-2 col-form-label">Город</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="city" name="city" placeholder="" value="{{ $address->city ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="street" class="col-sm-2 col-form-label">Улица</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="street" name="street" placeholder="" value="{{ $address->street ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="house" class="col-sm-2 col-form-label">Дом</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="house" name="house" placeholder="" value="{{ $address->house ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="apartment" class="col-sm-2 col-form-label">Квартира</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="apartment" name="apartment" placeholder="" value="{{ $address->apartment ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="zip" class="col-sm-2 col-form-label">ZIP</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="zip" name="zip" placeholder="" value="{{ $address->zip ?? '' }}">
                            </div>
                        </div>

                        <button type="submit" class="btn btn-gradient-success mr-2">Cохранить</button>
                        <a href="{{ url('/postman/address') }}" class="btn btn-light">Отмена</a>

                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection